Bug 672221 - Review Request: sqlite3-dbf - Converter of XBase / FoxPro tables to SQLite
Review Request: sqlite3-dbf - Converter of XBase / FoxPro tables to SQLite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-24 08:02 EST by Pavel Alexeev
Modified: 2012-02-26 22:27 EST (History)
3 users (show)

See Also:
Fixed In Version: sqlite3-dbf-2011.01.24-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 20:26:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2011-01-24 08:02:33 EST
Spec URL: http://hubbitus.net.ru/rpm/Fedora13/sqlite3-dbf/sqlite3-dbf.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora13/sqlite3-dbf/sqlite3-dbf-2011.01.24-1.fc13.src.rpm
Description:
SQLiteDBF converts XBase databases, particularly FoxPro tables with  memo files,
into a SQL dump. It has no dependencies other than standard Unix libraries.

SQLiteDBF is designed to be incredibly fast and as efficient as possible.

This use code base of the PgDBF project (http://pgdbf.sourceforge.net/).

P.S. Spec file formatted by tabs with 5 space width ( http://fedoraproject.org/wiki/PavelAlexeev/tabsize ). Please, do not start review if it is a problem for you.
Comment 1 Michel Alexandre Salim 2012-02-04 11:23:25 EST
Taking the review
Comment 2 Michel Alexandre Salim 2012-02-04 11:42:40 EST
Almost everything looks good (typo on the comment for BuildRoot: still, not steel). APPROVED. Note that I've tested installing the built package but not actually doing a conversion -- I have no XBase/FoxPro sample tables at hand.

updated URLs:

spec: http://hubbitus.info/rpm/Fedora13/sqlite3-dbf/sqlite3-dbf.spec
SRPM: http://hubbitus.info/rpm/Fedora13/sqlite3-dbf/sqlite3-dbf-2011.01.24-1.fc13.src.rpm


#+TODO: TODO(t) WAIT(w@/!) FAIL(f@) | DONE(d) N/A(n)

* TODO Review [90%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
    ✗ sha1sum sqlite3-dbf_2011.01.24.tar.gz ../SOURCES/sqlite3-dbf_2011.01.24.tar.gz 
    3081deeff2572579a6ccab765c3c8288f1dbba97  sqlite3-dbf_2011.01.24.tar.gz
    3081deeff2572579a6ccab765c3c8288f1dbba97  ../SOURCES/sqlite3-dbf_2011.01.24.tar.gz
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    - [X] on src.rpm
      1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    - [X] on x86_64.rpm
      sqlite3-dbf.x86_64: W: no-manual-page-for-binary sqlite3-dbf
      2 packages and 0 specfiles checked; 0 errors, 1 warnings.
  - [-] Language & locale [1/2]
    - [ ] Spec in US English
      in comment for BuildRoot, s|Steel|Still|
    - [X] Spec legible
  - [X] Build [3/3]
    - [X] Koji results
      http://koji.fedoraproject.org/koji/taskinfo?taskID=3762444
    - [X] BRs complete
    - [X] Directory ownership
  - [X] Spec inspection [7/7]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] [RHEL]  %clean section
          https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
    - [X] [RHEL 5] %buildroot cleaned on %install
    - [X] Macro usage consistent
    - [X] Documentation [1/1]
      - [X] %doc files are non-essential
Comment 3 Pavel Alexeev 2012-02-05 09:24:46 EST
Thank you!

I have fixed type.

Thank you very much for the review!

New Package SCM Request
=======================
Package Name: sqlite3-dbf
Short Description: Converter of XBase / FoxPro tables to SQLite
Owners: hubbitus
Branches: F-16 F-16 F-17 EL-5 EL-6
InitialCC:
Comment 4 Michel Alexandre Salim 2012-02-05 17:40:21 EST
The branches have been renamed, they should be "f15 f16 el5 el6". I think f17 won't be branched for a few more days.
Comment 5 Gwyn Ciesla 2012-02-06 08:17:03 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-02-11 04:40:35 EST
sqlite3-dbf-2011.01.24-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/sqlite3-dbf-2011.01.24-1.el5
Comment 7 Fedora Update System 2012-02-11 04:51:55 EST
sqlite3-dbf-2011.01.24-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sqlite3-dbf-2011.01.24-1.el6
Comment 8 Fedora Update System 2012-02-11 05:01:04 EST
sqlite3-dbf-2011.01.24-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sqlite3-dbf-2011.01.24-1.fc16
Comment 9 Fedora Update System 2012-02-11 13:56:22 EST
sqlite3-dbf-2011.01.24-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2012-02-20 20:26:32 EST
sqlite3-dbf-2011.01.24-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-02-26 22:27:40 EST
sqlite3-dbf-2011.01.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 12 Fedora Update System 2012-02-26 22:27:50 EST
sqlite3-dbf-2011.01.24-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.